I had a couple of issues when packaging git for AIX
a) option -Wall by default - works fine with gcc I am sure, but not so
well when gcc is not your compiler
b) needs a special (GNU) grep argument (-a from memory). This I
resolved by downloading and packaging GNU grep. However, I hope this
has not introduced a new dependency.

FYI: as I recall, the last time I build git (2.6.4 I believe) I had
neither of these problems (although I did later find I had once upon a
time packaged, just never published grep-2.22)

Also, if you wish to add my aixtools as a place to get git packaged
for AIX - just get in touch and we can exchange details.

Michael

Reply via email to